мир.структура = {
    изображения: {
        фон: {
            x: 0,
            y: 0,
            текстура: "изба",
        },
    },
    платформы: {
        полДоКрышки: {
            x: 200,
            y: 385,
            //y: 585,
            текстура: "основа",
            масштаб: [43, 1],
            видимость: true,
        },

    },
};

мир.настройки.scene.create = function()
{
    const изо = мир.структура.изображения;
    if (изо)
    {
        for (имя in изо)
        {
            var описание = изо[имя];
            var узел = this.add.image(описание.x, описание.y, описание.текстура);
            узел.setOrigin(0, 0);
        }
    }

    const пл = мир.структура.платформы;
    if (пл)
    {
        for (имя in пл)
        {
            var описание = пл[имя];
            var свойства = {
                isStatic: true,
            };
            var узел = this.matter.add.image(
                описание.x,
                описание.y,
                описание.текстура,
                null,
                свойства
            );
            узел.setScale(
                описание.масштаб ? описание.масштаб[0] : 1,
                описание.масштаб ? описание.масштаб[1] : 1
            );
        }
    }
};
